package com.uas.account.dao;

import com.uas.account.entity.UserLock;

/**
 *
 * @author wangmh
 * @date 2017/11/17
 */
public interface UserLockDao{

    /**
     * 保存/修改
     * @param userLock
     * @return
     */
    void save(UserLock userLock);

    /**
     * 根据账号获得锁定信息
     * @param username
     * @return
     */
    UserLock getOneByUsername(String username);

    /**
     * 删除所有数据
     */
    void deleteAll();
}
